curl --request POST \
--url https://api.slng.ai/v1/tts/slng/rime/arcana:3-fr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Bonjour depuis Rime Arcana v3 Français. Test de la synthèse vocale.",
"speaker": "livet_aurelie"
}
'import requests
url = "https://api.slng.ai/v1/tts/slng/rime/arcana:3-fr"
payload = {
"text": "Bonjour depuis Rime Arcana v3 Français. Test de la synthèse vocale.",
"speaker": "livet_aurelie"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Bonjour depuis Rime Arcana v3 Français. Test de la synthèse vocale.',
speaker: 'livet_aurelie'
})
};
fetch('https://api.slng.ai/v1/tts/slng/rime/arcana:3-fr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Arcana v3 (French)
Synthesize French speech using Rime Arcana v3 TTS model.
Authorizations
API key issued by SLNG. Pass as Authorization: Bearer <token>.
Headers
Target region override. Auto-selected if not provided.
eu-north-1 Body
Rime Arcana v3 TTS request for French.
Text to synthesize.
1Voice speaker ID (French voices).
destin, livet_aurelie, morel_marianne, serrin_joseph, solstice Rime Arcana v3 model identifier.
arcana, arcana-3, mistv2, mist The repetition penalty. We do not recommend changing this from the default value. Typical range is 1 to 2. Float that penalizes new tokens based on whether they appear in the prompt and the generated text so far. Values > 1 encourage the model to use new tokens, while values < 1 encourage the model to repeat tokens.
The temperature. We do not recommend changing this from the default value. Typical range is 0 to 1. Float that controls the randomness of the sampling. Lower values make the model more deterministic, while higher values make the model more random. Zero means greedy sampling.
The top p. We do not recommend changing this from the default value. Typical range is 0 to 1. Float that controls the cumulative probability of the top tokens to consider. Must be in (0, 1]. Set to 1 to consider all tokens.
Output audio format as MIME type.
audio/webm;codecs=opus, audio/ogg;codecs=opus, audio/mp3, audio/wav, audio/pcm, audio/x-mulaw Output sample rate in Hz. Values above 24000 are upsampled.
8000, 16000, 22050, 24000, 44100, 48000, 96000 Speech rate multiplier (0.25 = half speed, 2.0 = double speed).
0.25 <= x <= 2Language code.
fr Response
Synthesis successful.
Binary audio data.
Was this page helpful?